Index: /data/branches/presentation/scripts/attractor.lua
===================================================================
--- /data/branches/presentation/scripts/attractor.lua	(revision 4151)
+++ /data/branches/presentation/scripts/attractor.lua	(revision 4151)
@@ -0,0 +1,26 @@
+-- Register Classes to use
+thisscript:registerClass("AttractorMine")
+thisscript:registerClass("ScriptTrigger")
+
+trigger = ScriptTrigger()
+trigger:setScript("attractor.lua")
+trigger:setFunction("tick")
+trigger:setAbsCoor(-84, 19, 77)
+trigger:setTarget("Player")
+trigger:setRadius(100)
+trigger:setDebugDraw(true)
+
+
+
+created = false
+function tick(timestep)
+
+io.write("attractor called\n")
+if not created then
+am = AttractorMine()
+am:setAbsCoor(-84, 19, 77)
+created = true
+end
+
+return false
+end
Index: /data/branches/presentation/scripts/guard.lua
===================================================================
--- /data/branches/presentation/scripts/guard.lua	(revision 4150)
+++ /data/branches/presentation/scripts/guard.lua	(revision 4151)
@@ -9,4 +9,5 @@
 hangarReached = false
 guardStopped = false
+gotoSpaceship = false
 
 height = 34
@@ -31,10 +32,10 @@
 distance = dist( guardX,guardY,guardZ,playerX, playerY, playerZ)
 
-if distance > 250 and hangarRouteProgrammed and not guardStopped then
+if distance > 250 and hangarRouteProgrammed and not guardStopped and not gotoSpaceship then
  guard:stop()
  guardStopped = true
 end
 
-if distance < 250 and hangarRouteProgrammed and guardStopped then
+if distance < 250 and hangarRouteProgrammed and guardStopped and not gotoSpaceship then
  guard:resume()
  guardStopped = false
@@ -44,4 +45,9 @@
 playerInLock = true
 end
+
+if dist( guardX,guardY,guardZ,772.325012, height, -1500.850708) < 200 then
+gotoSpaceship = true
+end
+
 
 end
@@ -281,8 +287,10 @@
 
 
+
 function tick(timestep)
 --io.write("Guard called \n")
 observePlayer()
 
+
 if walkingRouteOne then
 walkingRouteOne = walkRouteOne(timestep)
Index: /data/branches/presentation/scripts/hangar.lua
===================================================================
--- /data/branches/presentation/scripts/hangar.lua	(revision 4150)
+++ /data/branches/presentation/scripts/hangar.lua	(revision 4151)
@@ -309,11 +309,11 @@
 mechanictMove(timestep)
 
-if playerReachedTrigger and not spaceshipLaunchReady then
-moveToLaunchSite(timestep)
-end
-
-if spaceshipLaunchReady then
-launchSpaceShip(timestep)
-end
+--if playerReachedTrigger and not spaceshipLaunchReady then
+--moveToLaunchSite(timestep)
+--end
+
+--if spaceshipLaunchReady then
+--launchSpaceShip(timestep)
+--end
 
 
Index: /data/branches/presentation/scripts/prisoner.lua
===================================================================
--- /data/branches/presentation/scripts/prisoner.lua	(revision 4150)
+++ /data/branches/presentation/scripts/prisoner.lua	(revision 4151)
@@ -15,4 +15,5 @@
 playerInLock = false
 guardStopped = false
+gotoSpaceship = false
 
 randTime = 0
@@ -54,13 +55,19 @@
 
 
-if distance > 250 and hangarRouteProgrammed and not guardStopped then
+if distance > 250 and hangarRouteProgrammed and not guardStopped and not gotoSpaceship then
  prisoner:stop()
  guardStopped = true
 end
 
-if distance < 250 and hangarRouteProgrammed and guardStopped then
+if distance < 250 and hangarRouteProgrammed and guardStopped and not gotoSpaceship then
  prisoner:resume()
  guardStopped = false
 end
+
+
+if dist( guardX,guardY,guardZ,772.325012, height, -1500.850708) < 200 then
+gotoSpaceship = true
+end
+
 
 end
Index: /data/branches/presentation/worlds/sp_level_ambush_at_uranus.oxw
===================================================================
--- /data/branches/presentation/worlds/sp_level_ambush_at_uranus.oxw	(revision 4150)
+++ /data/branches/presentation/worlds/sp_level_ambush_at_uranus.oxw	(revision 4151)
@@ -47,4 +47,8 @@
     <Script>
      <file>spaceship_flight.lua</file>
+    </Script>
+    
+    <Script>
+     <file>attractor.lua</file>
     </Script>
 
